//center-angle of deviated light
1st = -35.9;

//width of lens tubes
lw = 64;
lh = 55;

//dimensions of mcu
mcul=89;
mcuw=77;
mcuh=25;

//coordinates for CCD-pcb holes
CCDy = 44.5;
CCDz = 28;


//wall thickness
wt = 2.5;

//corner thickness
cd = wt*sqrt(2);


cd1 = sqrt(pow(mcul/2,2)+pow(mcuw/2,2));

//focal point to front
ff = 73;
pentaxr = 22;

//circle accuracy
nice = 12;

//rim width
//rw = 1.25; //use this value for box
rw = 1.1; //use this value for the lid

//grating slide thickness and holder width and height
gw = 1.4;
ghw = 4;
gh = 10;

//lens holder thickness
lht = 2;

//length of lens tubes
l1l = ff + lht*2 + ghw+4;
l2l = ff + lht*2 + 17;

//73+3+3+5 = 84
//73+3+3+15 = 94

M3 = 1.65;
ls = 10;
CEP = 12.5;

//coordinates for outer polygon
p1 = [0,0];
p2 = [l1l,0];
p3 = [l1l + cos(1st)*l2l,sin(1st)*l2l];
p4 = p3 + [cos(90+1st),sin(90+1st)]*lw;
p5 = p2 + [cos(90+1st),sin(90+1st)]*lw;
p6 = [l1l,lw];
p7 = [0,lw];

//coordinates for inner polygon
p1i = p1+[wt,wt];
p2i = p2+[wt/tan(90+1st/2),wt];
p3i = p3+[cd*cos(135+1st),cd*sin(135+1st)];
p4i = p3i+[cos(90+1st),sin(90+1st)]*(lw-2*wt);
p5i = p2i+[cos(90+1st),sin(90+1st)]*(lw-2*wt);
p6i = p6+[0,-wt];
p7i = p7+[wt,-wt];

//coordinates for rim-polygons
p1ro = p1+[-wt,-wt];
p2ro = p2+[-wt/tan(90+1st/2),-wt];
p3ro = p3+[-cd*cos(135+1st),-cd*sin(135+1st)];
p4ro = p3ro + [cos(90+1st),sin(90+1st)]*(lw+2*wt);
p5ro = p2ro + [cos(90+1st),sin(90+1st)]*(lw+2*wt);
p6ro = p6 + [0,wt];
p7ro = p7 + [-wt,wt];

p1ri = p1 + [rw,rw];
p2ri = p2+[wt/tan(90+1st/2),rw];
p3ri = p3+[sqrt(2)*rw*cos(135+1st),sqrt(2)*rw*sin(135+1st)];
p4ri = p3ri + [cos(90+1st),sin(90+1st)]*(lw-2*rw);
p5ri = p2ri + [cos(90+1st),sin(90+1st)]*(lw-2*rw);
p6ri = p6 + [0,-rw];
p7ri = p7 + [rw,-rw];

